This URL gets the default scanning option configuration list.
Resource URL
GET /malwarepolicy/defaultscanningoptionsRequest Parameters
None
Response Parameters
Following fields are returned| Field Name | Description | Data Type |
|---|---|---|
| defaultscanningoptions | List of objects containing scanning option details | Array |
Details of object in defaultscanningoptions:
| Field Name | Description | Data Type |
|---|---|---|
| fileType | Type of the file | String |
| malwareEngines | List of malware engines supported | Array |
| actionThresholds | Action threshold details | Object |
Details of object in malwareEngines:
| Field Name | Description | Data Type |
|---|---|---|
| Name | Malware engine name | String |
| Status | Status can be DISABLED/UNCHECKED/CHECKED | String |
| id | Malware engine id | Number |
Details of actionThresholds:
| Field Name | Description | Data Type |
|---|---|---|
| alert | Alert to be sent, can be "DISABLED" / "VERY_LOW" number/ "LOW" / "MEDIUM" / "HIGH" / "VERY_HIGH" | String |
| block | Blocking settings, can be "DISABLED" / "VERY_LOW" / "LOW" / "MEDIUM" / "HIGH" / "VERY_HIGH" | String |
| sendTcpReset | Send TCP reset, can be "DISABLED" / "VERY_LOW" / "LOW" / "MEDIUM" / "HIGH" / "VERY_HIGH" | String |
| saveFile | Save file can be "DISABLED" / "ALWAYS" /"VERY_LOW" / "LOW" / "MEDIUM" / "HIGH" / "VERY_HIGH" | String |
| addToBlockList | Add to block list can be "DISABLED" / "VERY_LOW" / "LOW" / "MEDIUM" / "HIGH" / "VERY_HIGH" | String |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/malwarepolicy/defaultscanningoptions
Response
{
"scanningOptions":
[
{
"fileType": "Executables",
"malwareEngines":
[
{
"name": "GTI File Reputation",
"id": 1,
"status": "CHECKED"
},
{
"name": "Custom Fingerprints",
"id": 2,
"status": "UNCHECKED"
},
{
"name": "PDF Analysis",
"id": 8,
"status": "DISABLED"
},
{
"name": "Anti-Malware Analysis",
"id": 16,
"status": "UNCHECKED"
}
],
"actionThresholds":
{
"alert": "LOW",
"block": "HIGH",
"sendTcpReset": "HIGH",
"saveFile": "DISABLED"
}
},
{
"fileType": "MS Office Files",
"malwareEngines":
[
{
"name": "GTI File Reputation",
"id": 1,
"status": "DISABLED"
},
{
"name": "Custom Fingerprints",
"id": 2,
"status": "CHECKED"
},
{
"name": "PDF Analysis",
"id": 8,
"status": "DISABLED"
},
{
"name": "Anti-Malware Analysis",
"id": 16,
"status": "CHECKED"
}
],
"actionThresholds":
{
"alert": "MEDIUM",
"block": "HIGH",
"sendTcpReset": "HIGH",
"saveFile": "DISABLED"
}
},
{
"fileType": "PDF Files",
"malwareEngines":
[
{
"name": "GTI File Reputation",
"id": 1,
"status": "CHECKED"
},
{
"name": "Custom Fingerprints",
"id": 2,
"status": "UNCHECKED"
},
{
"name": "PDF Analysis",
"id": 8,
"status": "CHECKED"
},
{
"name": "Anti-Malware Analysis",
"id": 16,
"status": "CHECKED"
}
],
"actionThresholds":
{
"alert": "VERY_LOW",
"block": "HIGH",
"sendTcpReset": "HIGH",
"saveFile": "DISABLED"
}
},
{
"fileType": "Compressed Files",
"malwareEngines":
[
{
"name": "GTI File Reputation",
"id": 1,
"status": "DISABLED"
},
{
"name": "Custom Fingerprints",
"id": 2,
"status": "DISABLED"
},
{
"name": "PDF Analysis",
"id": 8,
"status": "DISABLED"
},
{
"name": "Anti-Malware Analysis",
"id": 16,
"status": "UNCHECKED"
}
],
"actionThresholds":
{
"alert": "VERY_LOW",
"block": "HIGH",
"sendTcpReset": "HIGH",
"saveFile": "DISABLED"
}
}
]
}
Error Information
None